#!/usr/bin/perl
#f:\perl\perl.exe
# Rawstats - email Dog.food@poboxes.com
# fplayid.pl V1.0 - Creates a webpage with all players listed
#
# Notes
#  - Probably not a wise idea as browsers tend not to like too many cells :)
#  - Enabling the linknames generates a large files which can be 2/3 largers than
#     the disabled version

require "/usr/local/bin/frag-lib.pl";	# rawstats common functions

# === User variables ==========================================================
$playiddb = "/var/lib/qw/playid.db";
$playhtm = "/var/lib/httpd/htdocs/allplay.html";
$maxwidth = 5;
$linknames = 1;				# use linked names to search engine

sub header {

$barlnk = &createbar(6);

print ALLPLAY <<EOHEADER
<HTML>
<TITLE>Rawstats - Fragstats for top 100 players</TITLE>
<BODY text=#FFFFFF bgcolor=#000000 LINK=#00FF00 VLINK=#00FFFF ALINK=#00FFFF>
<I>$barlnk</I>
<TITLE>All ranked players</TITLE>\n<CENTER><H1>All ranked players</H1>
<HR>
EOHEADER
}

sub footer {

print ALLPLAY <<EOFOOTER
<HR>
<BR>$play_ct Players listed<BR>
<HR>
Email <A HREF=\"mailto:dog.food\@poboxes.com\">dog.food\@poboxes.com</A><BR>
</BODY></HTML>
EOFOOTER
}

# =============================================================================
# read in player id file
open(PLAYIDDB, "$playiddb") or die "Can't open $playiddb: $!\n";
while ($line = <PLAYIDDB>) {
  chop $line;
  ($playid,$player) = split (/,/,$line);
  $id{$player} = $playid;
}
close PLAYIDDB;

open ALLPLAY, ">$playhtm" or die "Can't create all players webpage";
header;

$play_ct = 0;
$widthct = 0;
print ALLPLAY "<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0>\n";
foreach $killer (sort keys %id) {
  ($widthct == 0) && (print ALLPLAY "<TR>");
  
  printf ALLPLAY "<TD>%s</TD>", cslink($killer,$linknames);
  $widthct++;
  $play_ct++;
  if ($widthct >= $maxwidth) {
    print ALLPLAY "</TR>\n";
    $widthct=0;
  }
}
print ALLPLAY "</TABLE>\n";
footer;
close ALLPLAY;
