#!/usr/bin/perl
# Rawstats - V1.0 by Dogfood
# Email dog.food@poboxes.com
# Rebuild log file from playid.db, and fraglog.db
#

$playiddb = "playid.db";
$flogdb = "fraglog.db";

sub iscomment {
  ($_) = @_;
  if (/\\/) {
    return(1);
  } else {
    return(0);
  }
}

# =============================================================================
# read in player id file
open(PLAYIDDB, "$playiddb") or die "Can't open $playiddb: $!\n";
while ($line = <PLAYIDDB>) {
  chop $line;
  ($playid,$player) = split (/\\/,$line);
  $id{$playid} = $player;
}
close PLAYIDDB;

open(FLOGDB,"$flogdb") or die "Can't open $flogdb: $!\n";
while ($line = <FLOGDB>) {
  chop $line;
  ($killer,$victim) = split (/,/,$line);
  print "\\$id{$killer}\\$id{$victim}\\\n";
}
